Skip to navigation

Create a Card

An on-demand Card is generated from the funding Account enrolled in Card on-demand. A Card can be used by the Account owner of the funding Account, by a Card User, or sent to a supplier for a business payment. Each Card has an expiration date that is automatically set for five years from the date the Card is created. This expiration date is different from the validToDate that is defined in the spendControls object of a Card.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Request

This endpoint expects an object.
accountIdstringRequired<=15 characters
The ID of the Account being used to fund the Card.
spendControlsobjectRequired

The Spend Control object determines how, when, and where on-demand cards can be authorized. If OPTIONAL fields are unpopulated in a POST /cards call, their value will be defaulted to those defined during the initial configuration set up.

cardDetailsobjectRequired
The details of the Card being created.
deliveryMethodenumRequired
The method of delivery that is used for the response.
Allowed values:
userDetailsobjectRequired

This object is for the details of the user who is logged into your app when the request for creating an on-demand Card is made. This information will support customer service and fraud mitigation by American Express.

cardUserIdstringOptional<=38 characters
The ID of the Card User associated with the Card. The Card User must be in an ACTIVATED status.
reloadablebooleanOptional
Indicates whether the Card can be reloaded with a new Spend Control object after the original Spend Control either expires or is fully utilized.
reconciliationFieldobjectOptional
The information collected for reconciliation.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardIdstring<=19 characters
A unique ID that is created for the Card.
statusenum

The status of the Card. For all Card creation requests, this will always be IN_PROGRESS.

Allowed values:
cardobject
The Card request being returned.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error